Bug 847542 - _openscap_py.so: undefined symbol: __oscap_reallocf_dbg
_openscap_py.so: undefined symbol: __oscap_reallocf_dbg
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openscap (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 15:56 EDT by Petr Beňas
Modified: 2015-01-04 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 14:20:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Beňas 2012-08-12 15:56:03 EDT
Description of problem:
scap-workbench-editor is unable to start with openscap-0.8.3-2.fc17

Version-Release number of selected component (if applicable):
openscap-0.8.3-2.fc17

How reproducible:
100%

Steps to Reproduce:
1. try to start scap-workbench-editor
  
Actual results:
$ rpm -qa openscap\*
openscap-python-0.8.3-2.fc17.x86_64
openscap-utils-0.8.3-2.fc17.x86_64
openscap-0.8.3-2.fc17.x86_64
$ scap-workbench-editor 
Traceback (most recent call last):
  File "/usr/bin/scap-workbench-editor", line 46, in <module>
    main()
  File "/usr/bin/scap-workbench-editor", line 37, in main
    from scap_workbench.editor import MainWindow
  File "/usr/lib/python2.7/site-packages/scap_workbench/editor/__init__.py", line 27, in <module>
    from scap_workbench import core
  File "/usr/lib/python2.7/site-packages/scap_workbench/core/__init__.py", line 40, in <module>
    import openscap_api as openscap
  File "/usr/lib64/python2.7/site-packages/openscap_api.py", line 49, in <module>
    OSCAP = _import_helper()
  File "/usr/lib64/python2.7/site-packages/openscap_api.py", line 45, in _import_helper
    _mod = imp.load_module('_openscap_py', fp, pathname, description)
ImportError: /usr/lib64/python2.7/site-packages/_openscap_py.so: undefined symbol: __oscap_reallocf_dbg

Expected results:
$ rpm -qa openscap\*
openscap-utils-0.8.2-1.fc17.x86_64
openscap-0.8.2-1.fc17.x86_64
openscap-python-0.8.2-1.fc17.x86_64
$ scap-workbench-editor 
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

(scap-workbench-editor:27379): Gtk-WARNING **: Unknown property: GtkGrid.n-rows

(scap-workbench-editor:27379): Gtk-WARNING **: Unknown property: GtkGrid.n-columns


Additional info:
Works fine in 0.8.2-1.fc17, possibly a regression.
Comment 1 Petr Lautrbach 2012-08-13 05:29:55 EDT
Please try this update [1] from updates-testing. This issue should be already fixed there.

[1] https://admin.fedoraproject.org/updates/FEDORA-2012-11589/openscap-0.8.4-1.fc17
Comment 2 Petr Beňas 2012-08-13 13:17:16 EDT
Thanks, openscap-0.8.4-1.fc17 fixes this issue.

Note You need to log in before you can comment on or make changes to this bug.